﻿using System;
using System.Collections.Generic;
using System.Text;

namespace LinqStudy
{
    /// <summary>
    /// 重写比较方法的学生类
    /// </summary>
    public class StudentOverriteEquals
    {
        public int Id { get; set; }

        public string Name { get; set; }

        public int Age { get; set; }

        public override bool Equals(object obj)
        {
            var other = obj as StudentOverriteEquals;
            if (other == null)
            {
                return false;
            }

            return Id == other.Id;
        }

        public override int GetHashCode()
        {
            return this.Id.GetHashCode();
        }
    }
}
